### Function

# Secret Collection for_alias_finish

#### Declaration [src]

    SecretCollection*
    secret_collection_for_alias_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup which collection is assigned to an alias.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretCollection`

The collection, or `NULL` if none assigned to the alias.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.